- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# uip_conn Struct Reference
[The uIP TCP/IP stack]

`#include <uip.h>`

## Detailed Description

Representation of a uIP TCP connection.

The uip_conn structure is used for identifying a connection. All but one field in the structure are to be considered read-only by an application. The only exception is the appstate field whos purpose is to let the application store application-specific state (e.g., file pointers) for the connection. The type of this field is configured in the "uipopt.h" header file.

Definition at line 1153 of file uip.h.

## Data Fields
uip_ipaddr_t | ripaddr
| The IP address of the remote host.
u16_t | lport
| The local TCP port, in network byte order.
u16_t | rport
| The local remote TCP port, in network byte order.
u8_t | rcv_nxt [4]
| The sequence number that we expect to receive next.
u8_t | snd_nxt [4]
| The sequence number that was last sent by us.
u16_t | len
| Length of the data that was previously sent.
u16_t | mss
| Current maximum segment size for the connection.
u16_t | initialmss
| Initial maximum segment size for the connection.
u8_t | sa
| Retransmission time-out calculation state variable.
u8_t | sv
| Retransmission time-out calculation state variable.
u8_t | rto
| Retransmission time-out.
u8_t | tcpstateflags
| TCP state and flags.
u8_t | timer
| The retransmission timer.
u8_t | nrtx
| The number of retransmissions for the last segment sent.
uip_tcp_appstate_t | appstate
| The application state.